Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.color
Class ThreadedColorMap

    java.lang.Object
      |
      +--uk.ac.man.bioinf.gui.color.ThreadedColorMap

All Implemented Interfaces:
  AlignmentListener, ColorMap, EventListener, PropertyChangeListener, SequenceListener

public class ThreadedColorMap
extends Object
implements ColorMap, SequenceListener, AlignmentListener, PropertyChangeListener

ThreadedColorMap.java This class implements the threaded functionality for ColorMap. You can use this class to wrap up any other ThreadableColorMap and it will take care of the out thread calculation. This class it should be noted is immutable in the sense that the SequenceAlignment it set in the constructor, and you can not change this, so you will need to create a new object. Created: Fri Dec 1 14:58:48 2000

Version:
  $Id: ThreadedColorMap.java,v 1.4 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Field Summary
`static String` | `NAME`

Constructor Summary
`ThreadedColorMap(JAlignmentViewer viewer, SequenceAlignment alignment, ThreadableColorMap map)`
`ThreadedColorMap(JAlignmentViewer viewer, SequenceAlignment alignment, ThreadableColorMap map, InvokerInternalQueue queue)`

Method Summary
`void` | `changeOccurred(AlignmentEvent event)` method signalled after a change has occured to a multiple alignment
`void` | `changeOccurred(SequenceEvent event)` Method called when a change occurs
`void` | `destroy()`
`Color` | `getColorAt(SequenceAlignment alignment, Element element, SequenceAlignmentPoint point)` Returns the Color at a specific position in the alignment.
`String` | `getInternalThreadedColorMap()`
`String` | `getName()` Returns the name of this colour scheme.
`void` | `propertyChange(PropertyChangeEvent event)`
`protected void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### ThreadedColorMap

    public ThreadedColorMap(JAlignmentViewer viewer,
                            SequenceAlignment alignment,
                            ThreadableColorMap map)

### ThreadedColorMap

    public ThreadedColorMap(JAlignmentViewer viewer,
                            SequenceAlignment alignment,
                            ThreadableColorMap map,
                            InvokerInternalQueue queue)

Method Detail

### getColorAt

    public Color getColorAt(SequenceAlignment alignment,
                            Element element,
                            SequenceAlignmentPoint point)

  Description copied from interface: `ColorMap`
  Returns the Color at a specific position in the alignment. This method will do various things depending on the actual color map implemented.

  Specified by:
    `getColorAt` in interface `ColorMap`
  Parameters:
    `alignment` - the sequence alignment
    `element` - the element
    `point` - the location within the SA
  Returns:
    the color

### validate

    protected void validate()

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### changeOccurred

    public void changeOccurred(SequenceEvent event)

  Description copied from interface: `SequenceListener`
  Method called when a change occurs

  Specified by:
    `changeOccurred` in interface `SequenceListener`
  Parameters:
    `event` -

### changeOccurred

    public void changeOccurred(AlignmentEvent event)

  Description copied from interface: `AlignmentListener`
  method signalled after a change has occured to a multiple alignment

  Specified by:
    `changeOccurred` in interface `AlignmentListener`
  Parameters:
    `event` - the event type

### getName

    public String getName()

  Description copied from interface: `ColorMap`
  Returns the name of this colour scheme.

  Specified by:
    `getName` in interface `ColorMap`
  Returns:
    the name

### getInternalThreadedColorMap

    public String getInternalThreadedColorMap()

### destroy

    public void destroy()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD